summaryrefslogtreecommitdiffstats
path: root/system-boot/components/9990-fstab.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-boot/components/9990-fstab.sh
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-boot/components/9990-fstab.sh')
-rwxr-xr-xsystem-boot/components/9990-fstab.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/system-boot/components/9990-fstab.sh b/system-boot/components/9990-fstab.sh
new file mode 100755
index 0000000..ba579de
--- /dev/null
+++ b/system-boot/components/9990-fstab.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+#set -e
+
+Fstab ()
+{
+ if [ -n "${NOFSTAB}" ]
+ then
+ return
+ fi
+
+ log_begin_msg "Configuring fstab"
+
+ if ! grep -qs "^${UNIONTYPE}" /root/etc/fstab
+ then
+ echo "${UNIONTYPE} / ${UNIONTYPE} rw 0 0" >> /root/etc/fstab
+ fi
+
+ if ! grep -qs "^tmpfs /tmp" /root/etc/fstab
+ then
+ echo "tmpfs /tmp tmpfs nosuid,nodev 0 0" >> /root/etc/fstab
+ fi
+
+ log_end_msg
+}